Repositório do blog.

É com uma enorme satisfação que neste momento abrimos ao público o repositório do blog, como já tinha sido mencionado na postagem dos projetos para 2018, com essa liberação só ficará faltando dois dos cincos citados. Queríamos colocar todos em funcionamento, mas por causa de tempo e equipamentos, acreditamos que não será possível isso neste ano. Queremos agradecer todas as pessoas que colaboram em off com o blog para que tudo isso seja trazido para nossos leitores.

Queremos avisar aos leitores que utilizarem nosso repositório, que alguns programas/pacotes nós só poderemos construir e liberar após a equipe do Manjaro liberar sua atualização. Um bom exemplo é o módulo para o Comodo Antivirus, então já fiquem cientes sobre esta questão.

Para saber quais pacotes estão disponíveis no nosso repositório, você pode conferir a lista aqui ou na pasta com os pkgbuilds. Os pacotes são destinados para a distribuição Manjaro Linux e alguns podem não instalar em outras distribuições, se você usa outra distribuição e quer que ampliamos nosso repositório para ela, entre em contato conosco pelo nosso email.

Por meio desta postagem, quero pedir que se alguém puder colaborar de alguma forma com o blog e nossos projetos, entre em contato conosco. Com todas as ressalvas feitas, vamos para as configurações.

Adicionar o repositório ao sistema.

Baixar e instalar o pacote referente ao seu sistema, atualize seu sistema antes de adicionar nosso repositório.

Instalação.

Torne-se um apoiador e ajude manter os projetos do blog.

Atualize seu sistema antes de adicionar o repositório.

Pamac

pamac update --force-refresh

Pacman

sudo pacman -Syyu

Baixando o pacote

Após instalar o pacote que você baixou, apague o mesmo, não mantenha esse pacote para utilizar futuramente, frequentemente ele é modificado, e por não possuir uma versão especificada, você vai encontrar problemas ao utilizar um pacote baixado há alguns meses atrás. O pacote possui somente alguns Kbytes, portanto, apague o pacote após instalar e evite dor de cabeça para você e para nós do blog.

Após baixar o pacote, basta dar 2 cliques que o repositório será adicionado. Você também pode instalar clicando com o botão direito encima do arquivo baixado, e escolher Abrir com Instalação de programas.

Terminal

Comando 64 Bits

pamac install https://osdn.dl.osdn.net/storage/g/m/ma/manjariando/repo-manjariando.pkg.tar.zst && sudo rm -rf /var/cache/pacman/pkg/repo-manjariando.pkg.tar.zst

Ao utilizar o comando no terminal, irá aparecer a mensagem de erro no download de um arquivo, isso é devido ao pacote não ser assinado, para que seja possível uma instalação mais simples.

Mensagem de erro no download.
Conclusão da instalação bem sucedida.

Após instalar, será necessário atualizar o pacote, durante a atualização será informado que mais 3 pacotes serão instalados, não precisa ficar com medo, é só o pacote de ícones do Pamac, o pacote que adiciona e mantém nossos melhores espelhos classificados para você, e o pacote que adiciona a(s) chave(s) necessária(s) para utilizar nossos repositórios. Após uma atualização liberada pela equipe do Manjaro, você pode checar se algum pacote do blog precisa ser reconstruído (verifique esse artigo), e nos informe caso encontre algum.

Remover repositório.

Se você precisar remover o repositório, siga os passos abaixo, mas não esqueça de nos informar sobre o motivo, assim poderemos corrigir o problema (se houver) para uma melhor experiencia dos usuários.

Modo gráfico: procure e remova o pacote repo-manjariando.
Terminal: use os comandos abaixo conforme o gerenciador de programas utilizado.

Pamac

pamac remove repo-manjariando manjariando-mirrors manjariando-appstream-data

Pacman

sudo pacman -R repo-manjariando manjariando-mirrors manjariando-appstream-data

Atualize a base de dados.

pamac update --force-refresh

Se você fez alguma alteração manualmente que comprometa a automação dos nossos pacotes, é possível que o repositório do blog não seja totalmente removido do seu sistema, entre em contato conosco para que possamos lhe ajudar na remoção completa.

Corrigindo possíveis erros.

Ao adicionar o repositório, pode ocorrer de não ser feito o procedimento necessário, que é atualizar o pacote repo-manjariando e instalar os pacotes manjariando-mirrors e manjariando-appstream-data, para corrigir isso, utilize o comando abaixo.

pamac update --force-refresh

Se você encontrar erros com relação aos espelhos, classifique eles com o comando abaixo.

sudo manjariando-mirrors -c all

Após classificar os espelhos, atualize a base de dados dos repositórios.

pamac update --force-refresh

Se após as tentativas mencionadas acima o erro persistir, entre em contato conosco para verificarmos o que pode estar acontecendo.

Checando pacotes.

Nós tentamos manter todos os pacotes funcionando no Manjaro, mas alguns podem precisar de uma re-compilação e podem passar despercebidos por nós, para verificar isso, siga as informações nesse artigo. Se algum programa não estiver funcionando corretamente e for informado pelo procedimento informado no artigo, nos informe, assim faremos a re-compilação do mesmo.

Conferindo se o repositório está disponível.

Você pode verificar se o repositório já está disponível através do gerenciador de pacotes do Manjaro, o Pamac.

Pamac

Discover

Gnome Software

Octopi

Screenshot_20180713_143141

Para que nosso repositório apareça no Discover e na Gnome Software é necessário instalar o pacote packagekit-qt5 e/ou gnome-software-packagekit-plugin, mas não estarão disponíveis visualmente todos os pacotes do nosso repositório.

Com tudo configurado e funcionando, agora é só ficar ligado nas postagens do blog para conferir os novos programas que serão adicionados futuramente.


Caso algum programa que você goste ainda não tenha uma versão para Manjaro, por favor, escreva nos comentários o nome do programa que iremos procurar por algum equivalente ou, se possível a portabilidade para Manjaro, entraremos em contato com desenvolvedores.

Por favor, não deixe de compartilhar nas redes sociais as publicações deste blog, pois nosso incentivo para produzir um conteúdo bacana é saber que estamos ajudando pessoas a conhecer cada vez mais as funcionalidades dessa maravilhosa distro Linux.

Nos acompanhe:

70 Comentários

  • Philipe Pimentel

    Estou com problemas com a atualização também.

    Pacotes (4) archlinux-keyring-20200820-1 manjariando-keyring-20200919-1
    manjaro-keyring-20200603-1 manjaro-system-20200906-1

    Tamanho total instalado: 1,47 MiB
    Alteração no tamanho: 0,07 MiB

    :: Continuar a instalação? [S/n] s
    (4/4) verificando chaves no chaveiro [######################] 100%
    (4/4) verificando integridade do pacote [######################] 100%
    erro: manjariando-keyring: faltando assinatura exigida
    erro: falha ao efetuar a transação (pacote sem a assinatura exigida)
    Ocorreram erros e, portanto, nenhum pacote foi atualizado.

    Já tentei diversos modos e nada funciona:

    sudo pacman-mirrors -f 3 && sudo pacman -Syyu
    sudo pacman -Sc && sudo pacman -Syyu
    sudo pacman-key –populate manjariando

    Alguma luz para conseguir funcionar isso?

    Curtir

    • Apesar de ainda estar no repositório, o pacote manjariando-keyring não está mais sendo utilizado, então nos responda, você utilizou um pacote antigo que estava perdido no seu HD para adicionar o repositório do blog?

      Se esse sistema está muito tempo sem ser atualizado, recomendo que remova o repositório do blog e utilize o comando de terminal para adicionar o mesmo posteriormente, e mais uma coisa, atualize e reinicie o sistema antes de adicionar o repositório do blog.

      Ps: não esqueça de remover todos os pacotes que contenham manjariando no nome quando for remover o repositório do blog.

      Curtir

  • Saudações, estou com problemas com a chave PGP, aparentemente. Alguma ajuda, por favor? obrigado.
    segue anexo:

    pacman -Syu

    :: Sincronizando a base de dados de pacotes…
    core está atualizado
    extra está atualizado
    community está atualizado
    multilib está atualizado
    manjariando está atualizado
    manjariando-deps está atualizado
    manjariando-testing está atualizado
    :: Iniciando atualização completa do sistema…
    resolvendo dependências…
    procurando pacotes conflitantes…
    atenção: dependência cíclica detectada:
    atenção: manjariando-appstream-data será instalado antes de sua dependência repo-manjariando
    atenção: dependência cíclica detectada:
    atenção: manjariando-keyring será instalado antes de sua dependência repo-manjariando
    atenção: dependência cíclica detectada:
    atenção: manjariando-mirrors será instalado antes de sua dependência repo-manjariando

    Pacotes (4) manjariando-appstream-data-20200919-1
    manjariando-keyring-20200919-1
    manjariando-mirrors-20200926.0535-1
    repo-manjariando-20200926.0448-1

    Tamanho total instalado: 2,83 MiB
    Alteração no tamanho: 2,80 MiB

    :: Continuar a instalação? [S/n]
    (4/4) verificando chaves no chaveiro [##################] 100%
    baixando chaves necessárias…
    :: Importar a chave PGP DC35688412042242, “tioguda guda.flavio@gmail.com“? [S/n]
    erro: a chave “DC35688412042242” não pôde ser procurada remotamente
    erro: faltando chave necessária no chaveiro
    erro: falha ao efetuar a transação (erro inesperado)
    Ocorreram erros e, portanto, nenhum pacote foi atualizado.

    Curtir

  • André Tinoco

    Bom dia! O repositório está on-line! Estou recebendo essa info no terminal! –
    [andre@andre-inspiron157000gaming Downloads]$ yay -Syu
    :: Sincronizando a base de dados de pacotes…
    core está atualizado
    extra está atualizado
    community está atualizado
    multilib está atualizado
    manjariando 124,6 KiB 574 KiB/s 00:00 [###################################################################] 100%
    manjariando-deps 147,0 KiB 14,4 MiB/s 00:00 [###################################################################] 100%
    manjariando-testing 147,0 KiB 8,44 MiB/s 00:00 [###################################################################] 100%
    :: Iniciando atualização completa do sistema…
    erro: não foi possível abrir o arquivo /var/lib/pacman/sync/manjariando.db: Unrecognized archive format
    erro: não foi possível abrir o arquivo /var/lib/pacman/sync/manjariando-deps.db: Unrecognized archive format
    erro: não foi possível abrir o arquivo /var/lib/pacman/sync/manjariando-testing.db: Unrecognized archive format
    nada para fazer
    -> could not open file /var/lib/pacman/sync/manjariando.db: Unrecognized archive format
    -> could not open file /var/lib/pacman/sync/manjariando-deps.db: Unrecognized archive format
    -> could not open file /var/lib/pacman/sync/manjariando-testing.db: Unrecognized archive format
    :: Procurando atualizações nos bancos de dados…
    :: Procurando atualizações no AUR…
    -> Pacotes AUR ausentes: repo-manjariando
    não há nada a ser feito

    Curtir

    • Sim, o repositório está online, e esse erro não é por ele estar offline, poderia utilizar o comando “pamac update –force-refresh” ao tentar atualizar?

      Isso força a sincronização da base de dados, você também poderia utilizar o comando para fazer uma nova classificação dos espelhos, sudo manjariando-mirros -g.

      Curtir

      • Deu erro, [andre@andre-inspiron157000gaming ~]$ pamac update –force-refresh
        Preparando…
        ==== AUTHENTICATING FOR org.manjaro.pamac.commit ====
        Uma autenticação é necessária para instalar, atualizar ou remover pacotes
        Authenticating as: André (andre)
        Password:
        ==== AUTHENTICATION COMPLETE ====
        Sincronizando banco de dados de pacotes…
        Atualizando manjariando.db…
        Erro: manjariando.db.sig: Erro no GPGME: Não existem dados
        base de dados inválida ou corrompida (assinatura PGP)
        Erro: manjariando-deps.db.sig: Erro no GPGME: Não existem dados
        base de dados inválida ou corrompida (assinatura PGP)
        Nada para fazer.
        Transação finalizada com êxito.

        Curtir

      • Utilize o comando abaixo.
        sudo pacman-key –populate manjariando

        Depois tente atualizar novamente, informe o resultado, mesmo que der certo, informe.

        Curtir

      • Deu erro, e agora:
        [andre@andre-inspiron157000gaming ~]$ sudo pacman-key –populate manjariando
        ==> ERRO: O arquivo de chaveiro /usr/share/pacman/keyrings/manjariando.gpg não existe.

        Curtir

      • Rodei de novo, o comando certo, tava com – e vez de –:
        [andre@andre-inspiron157000gaming ~]$ pamac update –force-refresh
        Preparando…
        ==== AUTHENTICATING FOR org.manjaro.pamac.commit ====
        Uma autenticação é necessária para instalar, atualizar ou remover pacotes
        Authenticating as: André (andre)
        Password:
        ==== AUTHENTICATION COMPLETE ====
        Sincronizando banco de dados de pacotes…
        Atualizando core.db…
        Atualizando extra.db…
        Atualizando community.db…
        Atualizando multilib.db…
        Atualizando manjariando.db…
        Erro: manjariando.db.sig: Erro no GPGME: Não existem dados
        base de dados inválida ou corrompida (assinatura PGP)
        Erro: manjariando-deps.db.sig: Erro no GPGME: Não existem dados
        base de dados inválida ou corrompida (assinatura PGP)
        Erro: manjariando-testing.db.sig: Erro no GPGME: Não existem dados
        base de dados inválida ou corrompida (assinatura PGP)
        Atualizando core.files…
        Atualizando extra.files…
        Atualizando community.files…
        Atualizando multilib.files…
        Erro: manjariando.files.sig: Erro no GPGME: Não existem dados
        base de dados inválida ou corrompida (assinatura PGP)
        Erro: manjariando-deps.files.sig: Erro no GPGME: Não existem dados
        base de dados inválida ou corrompida (assinatura PGP)
        Erro: manjariando-testing.files.sig: Erro no GPGME: Não existem dados
        Nada para fazer.
        Transação finalizada com êxito.

        Curtir

      • Você poderia entrar em contato pelo telegram?

        Assim, adicionamos aqui só a solução do problema, precisamos fazer algumas perguntas, e por aqui demora muito.

        Curtir

      • Tentei isso :
        sudo pacman -Syu
        :: Sincronizando a base de dados de pacotes…
        core está atualizado
        extra está atualizado
        community está atualizado
        multilib está atualizado
        manjariando 147,0 KiB 344 KiB/s 00:00 [###################################################################] 100%
        manjariando-deps 147,0 KiB 334 KiB/s 00:00 [###################################################################] 100%
        manjariando-testing 147,0 KiB 339 KiB/s 00:00 [###################################################################] 100%
        :: Iniciando atualização completa do sistema…
        erro: não foi possível abrir o arquivo /var/lib/pacman/sync/manjariando.db: Unrecognized archive format
        erro: não foi possível abrir o arquivo /var/lib/pacman/sync/manjariando-deps.db: Unrecognized archive format
        erro: não foi possível abrir o arquivo /var/lib/pacman/sync/manjariando-testing.db: Unrecognized archive format
        nada para fazer

        Curtir

      • Como citei no último comentário, precisamos fazer algumas perguntas, e por aqui demoraria demais.

        Curtir

  • Pingback: Utilize seu Android como uma webcam – Manjariando

  • Pingback: Tema de ícones Cupertino – Manjariando

  • tiagobugarin

    EI!!! Um ppa pra manjaro!!! Que ideia horrorosa!

    Por que não usar o AUR? Ele tá lá pra isso, não é mesmo? E olha, já funciona pra todas as distros baseadas no Archlinux.

    Mas não, mentalidade Debian/RH/Suse/etc: adicione um repositório a mais e espere os problemas, os velhos problemas dos PPAs, voltarem a bater em sua porta.

    Curtir

  • Pingback: Undistract Me no repositório do blog – Manjariando

  • Daniel Alves

    tentando fazer update do pacman (pacman -Syyu), tendo este erro:

    error: manjariando-deps: signature from “tioguda guda.flavio@gmail.com” is invalid

    Curtir

  • Pingback: Unificação dos repositórios do blog em fevereiro – Manjariando

  • Pingback: Programas 4K Download – Manjariando

  • Pingback: Programas da Receita Federal em nosso repositório – Manjariando

  • Pingback: VirtualBox para i3wm – Manjariando

  • Pingback: Cliente de Autenticação SafeNet – Manjariando

  • Pingback: FreeFileSync- Comparação e sincronização de pastas – Manjariando

  • Pingback: Sincronização Seletiva no Insync. – Manjariando

  • Pingback: Drivers para Canon PIXMA MP140 – Manjariando

  • Pingback: Crie modelos virtuais de suas construções LEGO com o LeoCAD – Manjariando

  • Fred Laffitte

    sudo pacman -U repo-manjariando-1.2-3-x86_64.pkg.tar.xz
    erro: manjariando: a chave “A62F9F0C359C3702338F0937DC35688412042242” é desconhecida
    :: Importar chave PGP 4096R/A62F9F0C359C3702338F0937DC35688412042242, “tioguda guda.flavio@gmail.com“, criada: 2018-01-08? [S/n]
    erro: manjariando-games: a assinatura de “tioguda guda.flavio@gmail.com” tem confiança desconhecida
    erro: “manjariando-games” base de dados não é válida (base de dados inválida ou corrompida (assinatura PGP))
    carregando pacotes…
    atenção: repo-manjariando-1.2-3 está atualizado — reinstalando
    erro: falha ao preparar a transação (base de dados inválida ou corrompida)

    Curtir

    • Pela informação, você está tentando instalar o pacote que adiciona o repositório do blog, mesmo que aparenta já ter ele adicionado e já ter o repositório de games.

      Se você ficar colocando as saídas dos erros sem mencionar o que você estava tentando fazer, só posso pedir para desinstalar todos os pacotes dos repositórios do blog, instalar novamente o pacote que adiciona o repositório principal, atualize o pacote do repositório principal, e só depois tente adicionar os demais repositórios.

      Saudações.

      Curtir

  • Fred Laffitte

    ==> ERRO: O arquivo de chaveiro /usr/share/pacman/keyrings/manjariando.gpg não existe.

    Curtir

    • Olá Fred, um pouco de contexto ajudaria.

      Você está utilizando 32 ou 64 bits?
      Isso ocorreu logo que você adicionou o repositório do blog, ou depois de algum tempo?

      Só podemos ajudar se tivermos as informações necessárias.

      Saudações.

      Curtir

  • Pingback: Instalalar Softplan Web Signer no Manjaro – Manjariando

  • Pingback: Ferramentas Xiaomi ADB/Fastboot – Manjariando

  • Waldir Manoel

    Olá, se possível puder disponibilizar para o Manjaro o dicionário Houaiss 3.0. Obrigado.

    Curtir

  • Pingback: Natron no repositório do blog – Manjariando

  • Wendel Lopes dos Reis

    Bom dia Manjariando. Estou tentando atualizar meu manjaro e está tendo problemas com os seus repositórios referentes a chave publica gpg. Há algum problema nos servidores de vocês?

    Curtir

    • Bom dia Wendel, tivemos problemas com o repositório 32 bits recentemente.
      Para corrigir, mesmo que você utilize 64 bits, utilize os comandos abaixo.
      sudo pacman -S manjariando-keyring

      e

      sudo pacman-key –populate manjariando

      Se persistir o erro, informe aqui novamente.

      Saudações.

      Curtir

  • Pingback: Ravenfield- jogo singleplayer no estilo campo de batalha – Manjariando

  • Pingback: Insync- cliente desktop para acessar o google drive está gratuito por tempo limitado. – Manjariando

  • Pingback: Drives para SafeSign e PjeOffice – Manjariando

  • Wellington Luis Oliveira

    Seria legal puxar o repositorio o arch colocar no discover

    Curtir

    • Olá Wellington, se você quiser utilizar os pacotes do repositório do Arch no Manjaro, basta mudar para o ramo de testes, vai dar na mesma.

      Se você adicionar o repositório do Arch no Manjaro, você só terá problemas, os pacotes irão duplicar e ainda terá muita incompatibilidade com as dependências.

      E quanto os repositórios aparecerem no Discover, basta instalar uma dependência que eles irão aparecer.

      Saudações.

      Curtir

  • Pingback: TLPUI- A interface para uma fácil configuração do TLP. – Manjariando

  • Eric Leite Peruzzo

    Como realizo a instalação? Estou usando o Manjaro KDE.

    Curtir

    • Olá Eric, basta você clicar com o botão direiro sobre o arquivo que você baixou e escolher as seguintes opções.
      Abrir com…-> Sistema-> Octopi e clicar em OK.

      Saudações.

      Curtir

      • Bom dia amigo. Depois que instalei o seu repositório, não consigo mais atualizar meu sistema. Acesso perfeitamente o Banco do Brasil, mas não consigo mais atualizar o sistema…

        Curtir

      • Você poderia informar o erro que está acontecendo?
        Pois nós fizemos a atualização do dia 09/02 sem qualquer problema.

        Saudações.

        Curtir

  • Está dando um problema com a chave pgp:
    rro: manjariando: a assinatura de “tioguda guda.flavio@gmail.com” é inválida
    :: Sincronizando a base de dados de pacotes…
    core está atualizado
    extra está atualizado
    community está atualizado
    multilib está atualizado
    herecura está atualizado
    manjariando-libs está atualizado
    manjariando.sig 566,0 B 138K/s 00:00 [————————————————————————————————————————————————] 100%
    erro: manjariando: a assinatura de “tioguda guda.flavio@gmail.com” é inválida
    erro: falha ao atualizar manjariando (base de dados inválida ou corrompida (assinatura PGP))
    manjariando-office está atualizado
    manjariando-themes está atualizado

    Curtir

  • Bill Junior

    Link para o repositório 64bits dá erro 404

    Curtido por 1 pessoa

  • Olá. Parabéns pelo post.

    Instalei pela “opção automática”, mas o sistema retorna os seguintes erros: “manjariando: a assinatura de ‘tioguda…’ tem confiança desconhecida”; “falha ao atualizar manjariando…”

    Vou tentar a “opção manual” e volto.

    Curtir

  • João Batista

    bom, comigo não resolveu

    Curtir

  • Jonas Pillgrimm

    Deixa assim que provavelmente não dará erro…
    [manjariando]
    SigLevel = Never
    Server = https://tioguda.gitlab.io/$repo/manjaro/$arch

    Curtir

  • João Batista

    erro: manjariando: a chave “A62F9F0C359C3702338F0937DC35688412042242” é desconhecida
    erro: a chave “A62F9F0C359C3702338F0937DC35688412042242” não pôde ser procurado remotamente

    Curtir

Deixe um comentário

Faça o login usando um destes métodos para comentar:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google

Você está comentando utilizando sua conta Google. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

Conectando a %s

Este site utiliza o Akismet para reduzir spam. Saiba como seus dados em comentários são processados.